# $Revision: 1.52 $, $Date: 2010/07/08 08:27:43 $

%define 	module	psycopg

Summary:	psycopg is a PostgreSQL database adapter for Python
Summary(pl.UTF-8):	psycopg jest przeznaczonym dla Pythona interfejsem do bazy PostgreSQL
Name:		python-%{module}
Version:	1.1.21
Release:	7
License:	GPL
Group:		Libraries/Python
Source0:	http://initd.org/pub/software/psycopg/%{module}-%{version}.tar.gz
# Source0-md5:	a31f79f68d6d32898d6f24e11369a106
Patch0:		%{name}-lib64.patch
URL:		http://www.initd.org/software/psycopg/
BuildRequires:	autoconf
BuildRequires:	postgresql-backend-devel
BuildRequires:	postgresql-devel
BuildRequires:	python-devel
BuildRequires:	python-mx-DateTime-devel
BuildRequires:	rpm-pythonprov
Requires:	postgresql-libs
%pyrequires_eq	python-modules
Requires:	python-mx-DateTime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define zope_subname ZPsycopgDA

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch
with the aim of being very small and fast, and stable as a rock. The
main advantages of psycopg are that it supports the full Python
DBAPI-2.0 and being thread safe at level 2.

%description -l pl.UTF-8
psycopg jest przeznaczonym dla Pythona interfejsem do bazy danych
PostgreSQL (tak jak pygresql i popy). Został zakodowany od początku z
założeniem że ma być bardzo mały, szybki i stabilny. Główna zaletą
psycopg jest, że w jest pełni zgodny z standardem DBAPI-2.0 i jest
'thread safe' na poziomie 2.

%package -n Zope-%{zope_subname}
Summary:	Zope PostgreSQL database adapter
Summary(pl.UTF-8):	Interfejs bazy danych PostgreSQL do Zope
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	Zope

%description -n Zope-%{zope_subname}
Zope PostgreSQL database adapter.

%description -n Zope-%{zope_subname} -l pl.UTF-8
Interfejs bazy danych PostgreSQL do Zope.

%prep
%setup -q -n %{module}-%{version}
%if "%{_lib}" == "lib64"
%patch0 -p1
%endif

%build
%{__autoconf}

%configure \
	--with-python=%{_bindir}/python \
	--with-mxdatetime-includes=%{py_incdir}/mx \
	--with-postgres-includes=%{_includedir}/postgresql/server
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_datadir}/Zope-%{zope_subname}}

install psycopgmodule.so $RPM_BUILD_ROOT%{py_sitedir}

cp -a %{zope_subname}/* $RPM_BUILD_ROOT%{_datadir}/Zope-%{zope_subname}
%py_comp $RPM_BUILD_ROOT%{_datadir}/Zope-%{zope_subname}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/Zope-%{zope_subname}
rm -f $RPM_BUILD_ROOT%{_datadir}/Zope-%{zope_subname}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%post -n Zope-%{zope_subname}
/usr/sbin/installzopeproduct %{_datadir}/Zope-%{zope_subname} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun -n Zope-%{zope_subname}
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS FAQ NEWS README RELEASE-1.0 SUCCESS TODO doc
%attr(755,root,root) %{py_sitedir}/*.so

%files -n Zope-%{zope_subname}
%defattr(644,root,root,755)
%{_datadir}/Zope-%{zope_subname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-psycopg.spec,v $
Revision 1.52  2010/07/08 08:27:43  arekm
- release 7

Revision 1.51  2008/10/03 17:55:48  arekm
- release 6

Revision 1.50  2008/07/27 23:05:16  arekm
- release 5

Revision 1.49  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.48  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.47  2006/12/08 18:28:55  wrobell
- rel. 4

Revision 1.46  2006/12/07 18:16:38  arekm
- rel 3

Revision 1.45  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.44  2006/08/28 12:22:48  arekm
- rel 2

Revision 1.43  2005/11/14 12:12:57  qboosh
- BR: rpm-pythonprov, removed second BuildRoot

Revision 1.42  2005/10/02 15:47:06  twittner
- up to 1.1.21

Revision 1.41  2005/09/12 19:25:40  twittner
- up to 1.1.20

Revision 1.40  2005/07/23 17:35:17  saq
- rel 2 (lib64.patch update pending from previous upgrade)

Revision 1.39  2005/07/23 15:12:43  saq
- up to 1.1.19

Revision 1.38  2005/02/07 17:23:54  wrobell
- ver. 1.1.18

Revision 1.37  2004/12/12 21:18:19  saq
- up to 1.1.17

Revision 1.36  2004/08/30 07:45:54  zboczuch
- stable release 1.1.15
- BR += postgresql-devel

Revision 1.35  2004/08/26 12:50:50  qboosh
- strict dep

Revision 1.34  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.33  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.32  2004/05/25 06:20:15  wrobell
- ver. 1.1.13

Revision 1.31  2004/02/18 11:01:28  jajcus
- Release: 2
- lib64 patch (to build on AMD64)

Revision 1.30  2004/01/01 01:46:33  matkor
- Ver 1.1.11. Rel 1. Happy New Year ;)

Revision 1.29  2003/12/01 23:57:30  matkor
- Release 3. Ac rebuild with changed Pythons ABI.

Revision 1.28  2003/11/16 16:52:08  jajcus
- install ZPsycopgDA in %{_datadir}/Zope-ZPsycopgDA
- installzopeproduct in %post/%postun of ZPsycopgDA

Revision 1.27  2003/11/11 11:24:10  qboosh
- BR: autoconf

Revision 1.26  2003/11/09 17:44:31  matkor
- Release back to 2. Sorry , wrong branch.

Revision 1.25  2003/11/09 17:42:44  matkor
- Version 1.1.10. Release 1. STBR for Ra

Revision 1.24  2003/11/09 17:32:34  wrobell
- rel. 2

Revision 1.23  2003/11/09 17:32:13  wrobell
- do not change the architecture of package

Revision 1.22  2003/11/09 16:46:55  wrobell
- ver 1.1.10

Revision 1.21  2003/10/30 13:27:53  jajcus
- Zope database adapter added (Zope-ZPsycopgDA package)

Revision 1.20  2003/10/12 17:15:09  blues
- reverted (IMO now it's worse...)

Revision 1.19  2003/10/12 16:39:04  blues
- cosmetics

Revision 1.18  2003/10/03 11:23:21  matkor
- Dumb-bump to release 2. (Ra has release 1). STBR for Ra.

Revision 1.17  2003/09/24 23:37:50  wrobell
- ver. 1.1.9

Revision 1.16  2003/08/03 17:30:20  wrobell
- ver. 1.1.8

Revision 1.15  2003/07/28 10:51:06  wrobell
- ver. 1.1.7

Revision 1.14  2003/07/25 09:22:31  wrobell
- fixed install requirements
- rel. 1

Revision 1.13  2003/07/22 08:16:47  matkor
- Version 1.1.6. Not tested.

Revision 1.12  2003/06/23 16:03:53  matkor
- Version 1.1.5.1. STBR for Ra.

Revision 1.11  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/03/22 21:07:47  matkor
- Version 1.1.2.

Revision 1.8  2003/02/24 14:07:52  matkor
- Version 1.0.15.1.

Revision 1.7  2002/12/04 23:54:10  matkor
- Version 1.0.13. Rebuild for Ra-whatever pls.

Revision 1.6  2002/11/21 10:04:37  wrobell
- rel. 1

Revision 1.5  2002/10/18 13:04:57  wrobell
- egenix datetime extension header files are in %%{py_incdir}/mx directory

Revision 1.4  2002/10/18 12:10:18  matkor
- Requires: python-mx-DateTime.

Revision 1.3  2002/10/17 13:22:09  wrobell
- group changed to Libraries/Python

Revision 1.2  2002/10/17 12:49:40  qboosh
- cleanups

Revision 1.1  2002/10/14 23:40:00  matkor
- Version 1.0.12
- TODO: Make real patch fixing ac/am. I just commented out part.
